<?php
/**
 * wp-smtp-contact-form is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
load_plugin_textdomain('wpcf',$path = 'wp-content/plugins/wp-smtp-contact-form');
$location = get_option('siteurl') . '/wp-admin/admin.php?page=wp-smtp-contact-form/options-contactform.php'; // Form Action URI

/*Lets add some default options if they don't exist*/
add_option('wpcf_smtpd', __('smtp.example.com', 'wpcf'));
add_option('wpcf_email', __('you@example.com', 'wpcf'));
add_option('wpcf_subject', __('Contact Form Results', 'wpcf'));
add_option('wpcf_success_msg', __('Thanks for your comments!', 'wpcf'));
add_option('wpcf_error_msg', __('Please fill in the required fields.', 'wpcf'));
add_option('wpcf_error_sending_msg', __('An error occurred during sending the mail.', 'wpcf'));

/*check form submission and update options*/
if (isset ($_POST['stage']) && ( 'process' == $_POST['stage']) ) {
    update_option('wpcf_smtpd', $_POST['wpcf_smtpd']);
    update_option('wpcf_email', $_POST['wpcf_email']);
    update_option('wpcf_subject', $_POST['wpcf_subject']);
    update_option('wpcf_success_msg', $_POST['wpcf_success_msg']);
    update_option('wpcf_error_msg', $_POST['wpcf_error_msg']);
}

/*Get options for form fields*/
$wpcf_smtpd = stripslashes(get_option('wpcf_smtpd'));
$wpcf_email = stripslashes(get_option('wpcf_email'));
$wpcf_subject = stripslashes(get_option('wpcf_subject'));
$wpcf_success_msg = stripslashes(get_option('wpcf_success_msg'));
$wpcf_error_msg = stripslashes(get_option('wpcf_error_msg'));

?>

<div class="wrap">
    <h2><?php _e('Contact Form Options', 'wpcf') ?></h2>
    <form name="form1" method="post" action="<?php echo $location ?>&amp;updated=true">
        <input type="hidden" name="stage" value="process" />
        <table width="100%" cellspacing="2" cellpadding="5" class="editform">
             <tr valign="top">
                <th scope="row"><?php _e('SMTP Server:', 'wpcf') ?></th>
                <td><input name="wpcf_smtpd" type="text" id="wpcf_smtpd" value="<?php echo $wpcf_smtpd; ?>" size="40" />
                <br />
                <?php _e('This address is where the server where email will be sent to.', 'wpcf') ?></td>
            </tr>
            <tr valign="top">
                <th scope="row"><?php _e('E-mail Address:', 'wpcf') ?></th>
                <td><input name="wpcf_email" type="text" id="wpcf_email" value="<?php echo $wpcf_email; ?>" size="40" />
                <br />
                <?php _e('This address is where the email will be sent to.', 'wpcf') ?></td>
            </tr>
            <tr valign="top">
                <th scope="row"><?php _e('Subject:', 'wpcf') ?></th>
                <td><input name="wpcf_subject" type="text" id="wpcf_subject" value="<?php echo $wpcf_subject; ?>" size="50" />
                <br />
                <?php _e('This will be the subject of the email.', 'wpcf') ?></td>
            </tr>
        </table>

        <fieldset class="options">
            <legend><?php _e('Messages', 'wpcf') ?></legend>
            <table width="100%" cellspacing="2" cellpadding="5" class="editform">
                <tr valign="top">
                    <th scope="row"><?php _e('Success Message:', 'wpcf') ?></th>
                    <td><textarea name="wpcf_success_msg" id="wpcf_success_msg" style="width: 80%;" rows="4" cols="50"><?php echo $wpcf_success_msg; ?></textarea>
                    <br />
                    <?php _e('When the form is sucessfully submitted, this is the message the user will see.', 'wpcf') ?></td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e('Error Message:', 'wpcf') ?></th>
                    <td><textarea name="wpcf_error_msg" id="wpcf_error_msg" style="width: 80%;" rows="4" cols="50"><?php echo $wpcf_error_msg; ?></textarea>
                    <br />
                    <?php _e('If the user skips a required field, this is the message he will see.', 'wpcf') ?> <br />
                    <?php _e('You can apply CSS to this text by wrapping it in <code>&lt;p style="[your CSS here]"&gt; &lt;/p&gt;</code>.', 'wpcf') ?><br />
                    <?php _e('ie. <code>&lt;p style="color:red;"&gt;Please fill in the required fields.&lt;/p&gt;</code>.', 'wpcf') ?></td>
                </tr>
            </table>
        </fieldset>

        <p class="submit">
            <input type="submit" name="Submit" value="<?php _e('Update Options', 'wpcf') ?> &raquo;" />
        </p>
    </form>
</div>
